package com.seatel.mobilehall.ui.home.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.home.model.TopUpWithPlanModel

interface TopUpWithPlanInteractor {

    interface View {
        fun onGetTopUpWithPlanSucceed(topUpWithPlan: TopUpWithPlanModel)
        fun onGetTopUpWithPlanFailed(error: VolleyError)
    }

    interface Presenter {
        fun onGetTopUpWithPlan(phoneNumber: String)
    }
}